Package: org.codehaus.groovy.classgen.asm

## [Java] Class VariableSlotLoader

- org.codehaus.groovy.classgen.asm.VariableSlotLoader

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BytecodeExpression` | `NOP`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `VariableSlotLoader (ClassNode type, int index, OperandStack os)`
    `VariableSlotLoader (int index, OperandStack os)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getIndex()`
    `` | `void` | `visit(org.objectweb.asm.MethodVisitor mv)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BytecodeExpression` | `transformExpression, visit, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public VariableSlotLoader(ClassNode type, int index, OperandStack os)

    - #### public VariableSlotLoader(int index, OperandStack os)

  - ### Method Detail

    - #### public int getIndex()

    - #### @Override public void visit(org.objectweb.asm.MethodVisitor mv)